# -*- makefile -*-

default_CONFIG  = CONFIG_APP_ROCON=x
default_CONFIG += CONFIG_APP_ROCON_CONFIG_BOX4PMSM8DC=x
#default_CONFIG += CONFIG_OC_MWENGINE=x
default_CONFIG += CONFIG_APP_ROCON_WITH_ULAN=x
default_CONFIG += CONFIG_APP_ROCON_WITH_SUITK=x
default_CONFIG += CONFIG_APP_ROCON_WITH_SIM_POSIX=x
default_CONFIG += CONFIG_APP_ROCON_WITH_LWIP=x
default_CONFIG += CONFIG_APP_ROCON_WITH_UART1CMD=x
default_CONFIG += CONFIG_APP_ROCON_WITH_PSINDCTL=x
default_CONFIG += CONFIG_APP_ROCON_WITH_DIO=x
default_CONFIG += CONFIG_OC_UL_DRV_SYSLESS=x
default_CONFIG += CONFIG_OC_I2C_DRV_SYSLESS=x CONFIG_OC_SPI_DRV_SYSLESS=x
default_CONFIG += CONFIG_APP_ROCON_WITH_USB=x CONFIG_KEYVAL=x CONFIG_LIB_U2U_V2=x
default_CONFIG += CONFIG_OC_CMDPROC=x CONFIG_PXMC=x CONFIG_PXMC_COORDMV=x
default_CONFIG += CONFIG_GEN_DIO=x
default_CONFIG += CONFIG_OC_MTD_DRV_SYSLESS=x
default_CONFIG += CONFIG_SER_LPCUART=x
default_CONFIG += CONFIG_LWIP_LWIP_DHCP=x
default_CONFIG += CONFIG_LWIP_SVC_MDNS=x
default_CONFIG += CONFIG_LWIP_LWIP_NETIF_HOSTNAME=x

ifeq ($(CONFIG_APP_ROCON),y)

#ULAN_ID=ROCON

ifeq ($(USB_APP_VID),0xdead)
USB_APP_VID = 0x1669
USB_APP_PID = 0x1023
endif

default_CONFIG += CONFIG_ULOI_LT=x
default_CONFIG += CONFIG_ULAN_DY=x
default_CONFIG += MACH=x
default_CONFIG += ULAN_ID=x

LOCAL_CONFIG_H = appl_config.h

#INCLUDES += -I$(USER_INCLUDE_DIR)/ul_lib -I.

INCLUDES += -I.

bin_PROGRAMS = rocon

rocon_SOURCES  = appl_main.c ul_idstr.c appl_loop.c appl_actions.c
ifneq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
rocon_SOURCES += appl_fpga.c
rocon_SOURCES += as5_spi.c
ifeq ($(CONFIG_APP_ROCON_WITH_PSINDCTL),y)
rocon_SOURCES += psindctl_spi.c
ifeq ($(CONFIG_APP_ROCON_CONFIG_BOX4PMSM8DC),y)
rocon_SOURCES += psindctl_past.c
endif
endif
endif
ifeq ($(CONFIG_APP_ROCON_WITH_SUITK),y)
rocon_SOURCES += setup_dinfo.c
rocon_SOURCES += distore_base.c appl_distore.c appl_eeprom.c
endif
ifeq ($(CONFIG_APP_ROCON_WITH_ULAN),y)
rocon_SOURCES += ul_idstr.c appl_oi.c appl_oi_sup.c appl_oi_dinfo.c
endif

ifeq ($(CONFIG_KEYVAL),y)
rocon_SOURCES += setup_distore.c
endif

ifeq ($(CONFIG_APP_ROCON_WITH_SUITK),y)
rocon_SOURCES += appl_gui_suitk.c appl_gui_fonts.c
rocon_SOURCES += appl_scr_common.c appl_scr_main.c
rocon_SOURCES += appl_scr_settings.c
rocon_SOURCES += appl_scr_progedit.c
rocon_SOURCES += appl_scr_progsave.c
rocon_SOURCES += appl_scr_service.c
rocon_SOURCES += appl_scr_auxcycle.c
rocon_SOURCES += appl_scr_invitation.c
rocon_SOURCES += appl_scr_setcom.c
rocon_SOURCES += appl_gui_style.c mw2sui.c
else
ifeq ($(CONFIG_OC_MWENGINE),y)
rocon_SOURCES += appl_gui_mw.c
endif
endif

ifeq ($(CONFIG_OC_CMDPROC),y)
rocon_SOURCES += appl_cmdproc.c
rocon_SOURCES += appl_cmds.c
ifneq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
rocon_SOURCES += appl_tests.c
rocon_SOURCES += appl_dprint.c
rocon_SOURCES +=cmd_uartcon.c
rocon_SOURCES +=appl_rungzip.c
endif
endif

ifneq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
rocon_MOREOBJS = $(USER_LIB_DIR)/system_stub.o
ifeq ($(findstring $(MACH),lpc17xx lpc178x),)
rocon_MOREOBJS += $(USER_LIB_DIR)/ivt.o
endif
endif

lib_LOADLIBES = bspbase
ifeq ($(CONFIG_APP_ROCON_WITH_ULAN),y)
lib_LOADLIBES += uloi uloicom
ifeq ($(CONFIG_OC_UL_DRV_SYSLESS),y)
lib_LOADLIBES += ul_drv
endif
endif
ifeq ($(CONFIG_KEYVAL),y)
lib_LOADLIBES +=  keyval lpciap_kvpb lpciap
endif
ifneq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
lib_LOADLIBES += fwutils
lib_LOADLIBES += z
lib_LOADLIBES += mach_hal
endif
ifeq ($(CONFIG_APP_ROCON_WITH_ULAN),y)
ifeq ($(CONFIG_ULAN_DY),y)
lib_LOADLIBES += uldy
endif
lib_LOADLIBES += ulan
endif
ifeq ($(CONFIG_APP_ROCON_WITH_SUITK),y)
lib_LOADLIBES += suitk suiut suitk suifont ulut sha1
ifeq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
lib_LOADLIBES += suixml suitk suiut sha1
endif
endif
ifeq ($(CONFIG_OC_MWENGINE),y)
lib_LOADLIBES += mwengine mwfonts mwdrivers mwfonts mwengine mwdrivers
endif
ifeq ($(CONFIG_OC_I2C_DRV_SYSLESS),y)
lib_LOADLIBES += i2c_drv
endif
ifeq ($(CONFIG_OC_MTD_DRV_SYSLESS),y)
lib_LOADLIBES += mtd_drv
endif
ifeq ($(CONFIG_OC_SPI_DRV_SYSLESS),y)
lib_LOADLIBES += spi_drv
endif

ifeq ($(CONFIG_PXMC),y)
ifeq ($(CONFIG_PXMC_COORDMV),y)
rocon_SOURCES += appl_coordmv.c math_sqrtll.c
rocon_SOURCES += math_sqrtll_test.c
lib_LOADLIBES += pxmc_coordmv
endif
ifneq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
rocon_SOURCES += appl_pxmc.c
rocon_SOURCES += appl_pxmccmds.c
endif
lib_LOADLIBES += pxmc pxmcbsp
endif

ifeq ($(CONFIG_APP_ROCON_WITH_DIO),y)
rocon_SOURCES += appl_dio.c
lib_LOADLIBES += gen_dio
lib_LOADLIBES += pxmc_cmpque
endif

ifeq ($(CONFIG_APP_ROCON_WITH_LWIP),y)
rocon_SOURCES += appl_lwip.c
endif

ifeq ($(CONFIG_OC_CMDPROC),y)
lib_LOADLIBES += cmdproc misc
endif

ifeq ($(CONFIG_APP_ROCON_WITH_USB),y)
rocon_SOURCES += appl_usb.c
ifeq ($(CONFIG_LIB_U2U_V2),y)
lib_LOADLIBES += u2u_dcnv
endif
lib_LOADLIBES += usbcdc usbbase usbmore
ifeq ($(CONFIG_USB_LPCUSB),y)
lib_LOADLIBES += lpcusb
endif
endif

ifeq ($(CONFIG_APP_ROCON_WITH_LWIP),y)
ifeq ($(CONFIG_LWIP_SVC_MDNS),y)
lib_LOADLIBES += svc_mdns
endif
lib_LOADLIBES += lwip
endif

ifeq ($(CONFIG_APP_ROCON_WITH_UART1CMD),y)
ifeq ($(CONFIG_SER_LPCUART),y)
rocon_SOURCES += appl_uart1.c
lib_LOADLIBES += lpcuart
endif
endif

ifeq ($(CONFIG_OC_ULUT),y)
lib_LOADLIBES += ulut
endif

ifeq ($(CONFIG_APP_ROCON_WITH_SIM_POSIX),y)
rocon_SOURCES += appl_sim_posix.c
lib_LOADLIBES += rt
endif

lib_LOADLIBES += m

link_VARIANTS = app-hh sdram

endif #CONFIG_APP_ROCON
